// Craig S. Kaplan
// I don't always try to use the visual language of memes
// to illustrate concepts in CS 106, but when I do it's
// definitely rotating radial wedges with success boy 
// and Impact text.

// A set of colours to use for the wedges.
color[] cols;
PImage img;

void setup()
{
  size( 500, 400 );

  noStroke();
  colorMode( HSB, 255 );

  textFont( createFont( "Impact", 48 ) );
  textAlign( CENTER );

  // Generate a list of colours.  We need to do this here
  // so that we can always reuse the same colours instead of
  // having them change randomly every frame.
  cols = new color[6];

  for ( int idx = 0; idx < 6; ++idx ) {
    cols[idx] = color( 
      random( 140, 190 ), random( 120, 255 ), random( 80, 140 ) );
  }

  img = loadImage( "success_boy.png" );
}

void draw()
{
  // Draw the wedges in the background using the built-in
  // arc() function.
  for ( int idx = 0; idx < 6; ++idx ) {
    fill( cols[idx] );
    arc( width/2, height/2, 800, 800, idx*TWO_PI/6.0 + frameCount / 100.0, 
      (idx+1)*TWO_PI/6.0 + frameCount / 100.0 );
  }

  // Draw some meme-ish text.
  fill( 0, 0, 255 );
  stroke( 0, 0, 0 );
  text( "CS 106 MEME", width/2, 50 );
  text( "NAILED IT", width/2, height - 10 );

  // Draw sucess boy.
  imageMode( CENTER );
  image( img, width/2, height/2, 250, 266 );
}