// Moustachify, AKA pin-the-moustache-on-the-professor.
// I feel like this sketch yields maximum bang for very
// little coding effort.  It demonstrates using a raster
// image and a vector image in combination.

PImage face;
PShape stache;

void setup()
{
  size( 400, 600 );
  face = loadImage( "face.jpg" );
  stache = loadShape( "stache.svg" );
  
  // Let's make the cursor invisible, so it doesn't
  // interfere with the image.  When you control an
  // object just by moving the mouse around, that object
  // effectively *becomes* the cursor.
  noCursor();
}

void draw()
{
  image( face, 0, 0 );
  shape( stache, mouseX, mouseY );
}