// Craig S. Kaplan
// Write out a sequence frames in a way that can later be sewn together
// into an animated GIF.  On my mac, I can use the line
//   convert -delay 2 -loop 0 *.png output.gif
// in a terminal window to get an animated GIF.  

void setup()
{
  size( 500, 500 );
}

void draw()
{
  background( 0 );
  fill( 200 );
  stroke( 255 );
  strokeWeight( 3 );

  int t = frameCount % 60;
  float aa = map( t, 0, 60, 100, 400 );

  ellipse( aa, 100, 80, 80 );
  ellipse( 100, 500 - aa, 80, 80 );
  ellipse( 500 - aa, 400, 80, 80 );
  ellipse( 400, aa, 80, 80 );
  
  if( frameCount < 60 ) {
    saveFrame( "frame_####.png" );
  }
}