// Generate a random impressionist painting of Boromir and 
// press a key to save it to a file.  Note the similarity
// to a Winter 2016 assignment:
// https://www.student.cs.uwaterloo.ca/~cs106/Winter2016/assignments/a02/

PImage img;

void setup()
{
  size( 568, 335 );
  img = loadImage( "boromir.jpg" ); 
  background( 255 );
}

void draw()
{
  for ( int idx = 0; idx < 10; ++idx ) {
    int x = int( random( width ) );
    int y = int( random( height ) );
    
    // Read a pixel out of the image.  This was demonstrated
    // in CS 105.
    color c = img.get( x, y );

    fill( c );
    noStroke();
    ellipse( x, y, 20, 20 );
  }
}

void keyPressed()
{
  save( "output.png" );
}